CRAN Package Check Results for Package Rnmr1D

Last updated on 2019-09-20 17:47:29 CEST.

Flavor Version Tinstall Tcheck Ttotal Status Flags
r-devel-linux-x86_64-debian-clang 1.2.4 31.95 130.17 162.12 OK
r-devel-linux-x86_64-debian-gcc 1.2.4 28.68 100.83 129.51 OK
r-devel-linux-x86_64-fedora-clang 1.2.4 203.91 NOTE
r-devel-linux-x86_64-fedora-gcc 1.2.4 198.70 NOTE
r-devel-windows-ix86+x86_64 1.2.4 110.00 378.00 488.00 OK
r-patched-linux-x86_64 1.2.4 28.40 126.85 155.25 OK
r-patched-solaris-x86 1.2.4 523.60 NOTE
r-release-linux-x86_64 1.2.4 30.09 127.07 157.16 OK
r-release-windows-ix86+x86_64 1.2.4 53.00 283.00 336.00 OK
r-release-osx-x86_64 1.2.4 ERROR
r-oldrel-windows-ix86+x86_64 1.2.4 48.00 276.00 324.00 OK
r-oldrel-osx-x86_64 1.2.4 ERROR

Check Details

Version: 1.2.4
Check: dependencies in R code
Result: NOTE
    Namespace in Imports field not imported from: ‘impute’
     All declared Imports should be used.
Flavors: r-devel-linux-x86_64-fedora-clang, r-devel-linux-x86_64-fedora-gcc, r-patched-solaris-x86

Version: 1.2.4
Check: package dependencies
Result: ERROR
    Packages required but not available: 'impute', 'MassSpecWavelet', 'speaq'
    
    See section ‘The DESCRIPTION file’ in the ‘Writing R Extensions’
    manual.
Flavor: r-release-osx-x86_64

Version: 1.2.4
Check: package dependencies
Result: ERROR
    Packages required and available but unsuitable versions:
     ‘impute’ ‘MassSpecWavelet’ ‘plotly’
    
    See section ‘The DESCRIPTION file’ in the ‘Writing R Extensions’
    manual.
Flavor: r-oldrel-osx-x86_64